#ifndef __SHADERENV_H
#define __SHADERENV_H


////////////
//-- ssao + gi parameters

#define NUM_SAMPLES 8
//#define NUM_SAMPLES 16

// for linear falloff
//#define SAMPLE_INTENSITY 500.0f

// for quadratic falloff
#define SAMPLE_INTENSITY 0.32f
//#define SAMPLE_INTENSITY 0.85f

//#define AREA_SIZE 15e-1f
#define AREA_SIZE 8e-1f

#define VIEW_CORRECTION_SCALE 0.0f
//#define VIEW_CORRECTION_SCALE 0.1f

//#define DISTANCE_SCALE 1e-4f
#define DISTANCE_SCALE 1e-6f

#define ILLUM_INTENSITY 5e-1f;
//#define ILLUM_INTENSITY 9e-1f;

#define SSAO_MIPMAP_LEVEL 1
#define GI_MIPMAP_LEVEL 2


/////////
//-- tone mapping

//#define MIDDLE_GRAY 0.72f
//#define MIDDLE_GRAY 0.36f
#define MIDDLE_GRAY 0.18f


/////////
//-- shadowing

#define NUM_PCF_TABS 16



#endif // __SHADERENV_H